/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 03/12/2013
 *
 */
package uoc.tfg.exception;

/*
 *
 */
public class DatabaseException extends Exception {
	
	private static final long serialVersionUID = 1L;

	public static final String ENTRY_NOT_FOUND = "Entry does not exist in the database";
	
	private String message;
	
	public DatabaseException(String e) {
		super(e);
		this.message = e;
	}
	
	
	public String toString() {
		return this.message;
	}

}
