/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 12/11/2013
 *
 */
package uoc.tfg.gui;


import java.io.IOException;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

/**
 * Trading platform
 * 
 * @author Javier Sanzol
 * 
 * 2012-09-07 v.1
 *
 */

/*
 * Main application window
 */
public class MainWindow extends Stage {
    
	private Parent root;
	private Scene scene;
	        
	
	/**
	 * Creates new form MainFrame
	 * @throws IOException 
	 */
	public MainWindow() throws IOException {
	    this.setTitle("TFG Application");
	    this.initComponents();
	}
	    
	
	private synchronized void initComponents() throws IOException {
	
	    this.root = FXMLLoader.load(
	    		getClass().getResource("/uoc/tfg/gui/MainPanel.fxml"));
	    this.scene = new Scene(root, 400, 75, Color.WHITE);    
	    this.setScene(scene);
	    this.setX(0);
	    this.setY(0);
	    this.show();
	    
	}
       
}