/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 07/12/2013
 *
 */
package uoc.tfg.gui.views;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.Node;
import javafx.scene.control.Button;
import javafx.scene.control.TextArea;
import javafx.stage.Stage;

/*
 *
 */
public class MessageDialogViewController implements Initializable {

	@FXML
    private ResourceBundle resources;

    @FXML
    private URL location;
    
    @FXML
    private Button okButton;

    @FXML
    private TextArea messageTextArea;

    @FXML
    private TextArea textareaMessageDialog;

    private MessageDialog messageDialog;

        
	/* (non-Javadoc)
	 * @see javafx.fxml.Initializable#initialize(java.net.URL, java.util.ResourceBundle)
	 */
	@Override
	public void initialize(URL arg0, ResourceBundle arg1) {
		
	}
	
	@FXML
    void actionOkButton(ActionEvent event) {
		Node  source = (Node)  event.getSource(); 
        Stage stage  = (Stage) source.getScene().getWindow();
        stage.close();
    }

	/**
	 * @param messageDialog
	 */
	public void setParent(MessageDialog messageDialog) {
		this.messageDialog = messageDialog;
		this.messageTextArea.setText(this.messageDialog.getMessage());
		this.textareaMessageDialog.setText(this.messageDialog.getExceptionDetails());
	}

}
