/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 08/01/2014
 *
 */
package uoc.tfg.gui.views.webfeed;

import java.io.Serializable;

import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;


public class WebFeedSubscriptionTableModel implements Serializable {
	
	private static final long serialVersionUID = 7257555371959945964L;
	private final StringProperty name = new SimpleStringProperty();
    private final StringProperty status = new SimpleStringProperty();
 
    
    public final String getName(){
    	return name.get();
    }
 
    
    public final void setName(String value){
    	name.set(value);
    }
 
   
    public StringProperty nameProperty() {
    	return name;
    }
    
    public final String getStatus(){
    	return status.get();
    }
 
    
    public final void setStatus(String value){
    	status.set(value);
    }
 
   
    public StringProperty statusProperty() {
    	return status;
    }

}
