package uoc.tfg.invoke.analysis;

import java.util.List;

import uoc.tfg.exception.DatabaseException;
import uoc.tfg.manager.analysis.ITokenCollectionManager;
import uoc.tfg.manager.analysis.TokenCollectionManager;
import uoc.tfg.model.textanalysis.ITokenCollection;


public class TokenCollectionInvoke {
	
	private static ITokenCollectionManager manager = new TokenCollectionManager();
	
	
	public static void newTokenCollection(ITokenCollection tc)  {
		
		manager.newTokenCollection(tc);
		
	}

	
	public static void editTokenCollection(ITokenCollection tc) {

		manager.editTokenCollection(tc);
	}
	
	
	public static void deleteTokenCollection(String name)  {

		manager.deleteTokenCollection(name);
	}
	
	
	public static ITokenCollection getTokenCollection(String name) throws DatabaseException {
		
		return manager.getTokenCollection(name);
	}
	
	
	public static List<ITokenCollection> getAllTokenCollections() {
		
		return manager.getAllTokenCollections();
	}

}
