package uoc.tfg.invoke.document;

import java.util.List;

import uoc.tfg.exception.DatabaseException;
import uoc.tfg.manager.document.IIndexManager;
import uoc.tfg.manager.document.IndexManager;
import uoc.tfg.model.document.Index;

public class IndexInvoke {
	
	private static IIndexManager manager = new IndexManager();
	
	public static void newIndex(Index i) {
	
		manager.newIndex(i);
		
	}

	public static void editIndex(Index i) {

		manager.editIndex(i);
	}
	
	public static void deleteIndex(String path) throws DatabaseException {

		manager.deleteIndex(path);
		
	}
	
	public static Index getIndex(String path) throws DatabaseException {
		
		return manager.getIndex(path);
	}
	
	public static List<Index> getAllIndex(){
		
		return manager.getAllIndex();
	}
}
