package uoc.tfg.jpa.marketdata;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the lightstreamer database table.
 * 
 */
@Entity
@Table(name="lightstreamer")
@NamedQuery(name="LightstreamerJPA.findAll", query="SELECT l FROM LightstreamerJPA l")
public class LightstreamerJPA implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String name;

	private String connection_adapter;

	private String data_adapter;

	private String delay;

	private String description;

	private String url;

	public LightstreamerJPA() {
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getConnection_adapter() {
		return this.connection_adapter;
	}

	public void setConnection_adapter(String connection_adapter) {
		this.connection_adapter = connection_adapter;
	}

	public String getData_adapter() {
		return this.data_adapter;
	}

	public void setData_adapter(String data_adapter) {
		this.data_adapter = data_adapter;
	}

	public String getDelay() {
		return this.delay;
	}

	public void setDelay(String delay) {
		this.delay = delay;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getUrl() {
		return this.url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

}