package uoc.tfg.manager.analysis;

import java.util.List;

import uoc.tfg.exception.DatabaseException;
import uoc.tfg.model.textanalysis.classification.CategorySet;

public interface ICategorySetManager {

	public void newCategorySet(CategorySet cs);

	public void editCategorySet(CategorySet cs);

	public void deleteCategorySet(String name);

	public CategorySet getCategorySet(String name) throws DatabaseException;

	public List<CategorySet> getAllCategorySets();

}
