package uoc.tfg.manager.document;

import java.io.IOException;
import java.util.List;

import org.apache.lucene.document.Document;
import org.apache.lucene.queryparser.classic.ParseException;

public interface IIndexExplorerManager {

	public List<Document> getAllDocuments() throws IOException;

	public int getNumDocuments() throws IOException;

	public List<Document> searchDocuments(
			String[] fields, String[] queries, String[] logicals) 
					throws ParseException, IOException;

}
