/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 17/12/2013
 *
 */
package uoc.tfg.manager.marketdata;

import java.util.List;
import java.util.Observer;

import com.lightstreamer.ls_client.UpdateInfo;

import uoc.tfg.jpa.marketdata.LightstreamerJPA;
import uoc.tfg.model.marketdata.lightstreamer.AdapterInfoLS;



public interface IMarketDataLSManager {

	public AdapterInfoLS getInfo();

	public void startMarketDataStreaming() throws Exception;

	public void pauseMarketDataStreaming() throws Exception;

	public void resumeMarketDataStreaming() throws Exception;

	public void stopMarketDataStreaming() throws Exception;

	public void setInfo(AdapterInfoLS info);

	public void setObserver(Observer o);

	public UpdateInfo getLastUpdate();

	public int getLastUpdatePosition();

	public List<LightstreamerJPA> getAllServer();

}
