/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 12/12/2013
 *
 */
package uoc.tfg.manager.webcrawling;

import java.util.Queue;

import uoc.tfg.exception.WebCrawlingException;
import uoc.tfg.model.Status;
import uoc.tfg.model.news.WebContent;


public interface IWebCrawlerManager {

	public String getName();
	
	public String getStatus();
	
	public int getVisitedUrls();
	
	public void setStatus(Status status);

	public void startWebCrawler() throws WebCrawlingException;
	
	public void pauseWebCrawler();
	
	public void resumeWebCrawler();
	
	public void stopWebCrawler();

	public Queue<WebContent> getLastEntries();	

}
