/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 23/12/2013
 *
 */
package uoc.tfg.manager.webcrawling;

import java.net.MalformedURLException;
import java.util.List;

import uoc.tfg.exception.DatabaseException;
import uoc.tfg.model.news.webcrawler.WebCrawlingSeed;

/*
 *
 */
public interface IWebCrawlingSeedManager {

	/**
	 * @param wcs
	 */
	public void newWebCrawlingSeed(WebCrawlingSeed wcs);

	/**
	 * @param IWebCrawlingSeedManager
	 * @return void
	 * @param wcs
	 */
	public void refreshWebCrawlingSeed(WebCrawlingSeed wcs);

	/**
	 * @param wcs
	 */
	public void editWebCrawlingSeed(WebCrawlingSeed wcs);

	/**
	 * @param url
	 * @throws DatabaseException 
	 */
	public void deleteWebCrawlingSeed(String url) throws DatabaseException;

	/**
	 * @param url
	 * @return
	 * @throws DatabaseException 
	 * @throws MalformedURLException 
	 */
	public WebCrawlingSeed getWebCrawlingSeed(String url) throws DatabaseException, MalformedURLException;

	/**
	 * @return
	 * @throws MalformedURLException 
	 */
	public List<WebCrawlingSeed> getAllWebCrawlingSeed() throws MalformedURLException;

	
}
