/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 23/12/2013
 *
 */
package uoc.tfg.manager.webfeed;

import java.net.MalformedURLException;
import java.util.List;

import uoc.tfg.exception.DatabaseException;
import uoc.tfg.model.news.webfeed.WebFeedSubscription;

/*
 *
 */
public interface IWebFeedSubscriptionManager {

	/**
	 * @param wfs
	 */
	public void newWebFeedSubscription(WebFeedSubscription wfs);

	/**
	 * @param wfs
	 */
	public void editWebFeedSubscription(WebFeedSubscription wfs);

	/**
	 * @param s
	 * @throws DatabaseException 
	 */
	public void deleteWebFeedSubscription(String s) throws DatabaseException;

	/**
	 * @param s
	 * @return
	 * @throws MalformedURLException 
	 * @throws DatabaseException 
	 */
	public WebFeedSubscription getWebFeedSubscription(String s) throws DatabaseException, MalformedURLException;

	/**
	 * @return
	 * @throws MalformedURLException 
	 */
	public List<WebFeedSubscription> getAllWebFeedSubscription() throws MalformedURLException;

}
