/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 12/11/2013
 *
 */
package uoc.tfg.model;

/*
 *
 */
public enum Status {
	
	STOPPED(1),
	RUNNING(2),
	PAUSED(3);
	
	private final int value;
	
	/**
	 * Constructor
	 * @param value
	 */
	Status(int value) {
		this.value = value;
	}

	/**
	 * @return the value
	 */
	public int getValue() {
		return value;
	}
	
	public synchronized boolean is(Status status){
		if(this.getValue() == status.getValue()) return true;
		else return false;
	}
	
	public synchronized boolean isnot(Status status){
		if(this.getValue() != status.getValue()) return true;
		else return false;
	}

}
