package uoc.tfg.model.document;

import java.io.File;
import java.io.Serializable;

public class Index implements Serializable {
	
	private static final long serialVersionUID = -8255709683467577585L;
	private String name;
	private String description;
	private File path;
	
	public Index() {
		this("", "", new File("./Index"));
	}
	
	public Index(String name, String description, String path) {
		this(name, description, new File(path));
	}
	
	public Index(String name, String description, File path) {
		this.setName(name);
		this.setDescription(description);
		this.setPath(path);
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public File getPath() {
		return path;
	}

	public void setPath(File path) {
		this.path = path;
	}

}
