package uoc.tfg.model.marketdata;


public enum WeekDay {

	SUNDAY(0),
	MONDAY(1),
	TUESDAY(2),
	WEDNESDAY(3),
	THURSDAY(4),
	FRIDAY(5),
	SATURDAY(6);
	
	private final int value;
	
	/**
	 * Constructor
	 * @param value
	 */
	WeekDay(int value) {
		this.value = value;
	}
	
	/**
	 * 
	 * @return
	 */
	public int getValue() {
		return this.value;
	}
	
	/**
	 * 
	 * @param value
	 * @return
	 */
	public static WeekDay valueOf(int value) {
		switch(value) {
		case 0:
			return WeekDay.SUNDAY;
		case 1:
			return WeekDay.MONDAY;
		case 2:
			return WeekDay.TUESDAY;
		case 3:
			return WeekDay.WEDNESDAY;
		case 4:
			return WeekDay.THURSDAY;
		case 5:
			return WeekDay.FRIDAY;
		case 6:
			return WeekDay.SATURDAY;
		default:
			return null;
		}
	}
	
	public WeekDay hasCode() {
		return null;
		
	}
	
	/**
	 * 
	 * @return
	 */
	@Override
	public String toString() {
		
		switch(this) {
		case SUNDAY:
			return "Sunday";
		case MONDAY:
			return "Monday";
		case TUESDAY:
			return "Tuesday";
		case WEDNESDAY:
			return "Wednesday";
		case THURSDAY:
			return "Thursday";
		case FRIDAY:
			return "Friday";
		case SATURDAY:
			return "Saturday";
			default:
				return "";
		}
		
	}
}
