/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 14/12/2013
 *
 */
package uoc.tfg.model.news.webcrawler;

import uoc.tfg.model.news.IWebContentParser;


/*
 *
 */
public interface IWebCrawlingStrategy {
	
	public String getStrategyName();
	
	public WebCrawlingSeed getSeed();
	
	public long getDelay();

	public boolean exitCriteria(IWebCrawler wc);
	
	public WebCrawlingURL getNextUrl();
	
	public IWebContentParser getContentParser();

	public void setContentParser(IWebContentParser contentParser);

	public void setSeed(WebCrawlingSeed seed);

	public void setDelay(long delay);

	public void setAlgorithm(String algorithm);

	public String getAlgorithm();

	public void setMaxDepth(int maxDepth);

	public int getMaxDepth();

	public void setMaxNumUrl(int maxNumUrl);

	public int getMaxNumUrl();

	public void setDescription(String description);

	public String getDescription();

	public void setStrategyName(String strategyName);

			
}
