package uoc.tfg.model.news.webfeed;
/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 18/11/2013
 *
 */

import java.io.Serializable;
import java.util.List;
import java.util.Queue;

import com.sun.syndication.feed.synd.SyndEntry;

import uoc.tfg.exception.WebFeedException;
import uoc.tfg.model.Status;

/*
 *
 */
public interface IWebFeedReader extends Runnable,Serializable {
	
	public String getName();
	
	public Status getStatus();
	
	public void setStatus(Status status);
	
	public void startWebFeedReader() throws WebFeedException;
	
	public void pauseWebFeedReader();
	
	public void resumeWebFeedReader();
	
	public void stopWebFeedReader();

	public Queue<SyndEntry> getLastEntries();

}
