package uoc.tfg.model.textanalysis;

public class TokenRepresentation {
	
	private final ITokenCollection tokens;
	
	private float[] values;

	public TokenRepresentation(ITokenCollection tokens) {
		super();
		this.tokens = tokens;
		this.setValues(new float[tokens.getTokens().length]);
	}

	public ITokenCollection getTokens() {
		return tokens;
	}

	public float[] getValues() {
		return values;
	}

	public void setValues(float[] values) {
		this.values = values;
	}

}
