/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 03/12/2013
 *
 */
package uoc.tfg.exception;

/*
 *
 */
public class GuiException extends Exception {
	
	private static final long serialVersionUID = 1L;

	public static final String FORM_NOT_COMPLETE = "The form is not completed.";
	
	public static final String NOT_SELECTION = "You need to make a selection";
	
	private String message;
	
	public GuiException(String e) {
		super(e);
		this.message = e;
	}
	
	
	public String toString() {
		return this.message;
	}

}
