/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 03/12/2013
 *
 */
package uoc.tfg.exception;

/*
 *
 */
public class WebCrawlingException extends Exception {
	
	private static final long serialVersionUID = 1L;

	public static final String CRAWLER_RUNNING = "Web crawler already running";
	
	private String message;
	
	public WebCrawlingException(String e) {
		super(e);
		this.message = e;
	}
	
	
	public String toString() {
		return this.message;
	}

}
