/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 03/12/2013
 *
 */
package uoc.tfg.exception;

import java.io.Serializable;

/*
 *
 */
public class WebFeedException extends Exception implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public static final String READER_RUNNING = "Web feed reader already running";
	
	private String message;
	
	public WebFeedException(String e) {
		super(e);
		this.message = e;
	}
	
	
	public String toString() {
		return this.message;
	}

}
