package uoc.tfg.gui.views.document;

import java.io.Serializable;

import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

public class DocumentFieldTableModel implements Serializable {
	
	private static final long serialVersionUID = 8152033200128281679L;
	private StringProperty field = new SimpleStringProperty();
    private StringProperty value = new SimpleStringProperty();
    
    public DocumentFieldTableModel(String field, String value) {
    	
    	this.field.set(field);
    	this.value.set(value);
    }
    
    public final String getField() {
		return field.get();
	}


	public final void setField(String value) {
		this.field.set(value);
	}

	public StringProperty fieldProperty() {
    	return field;
    }

	public final String getValue() {
		return value.get();
	}


	public final void setValue(String value) {
		this.value.set(value);
	}

	public StringProperty valueProperty() {
    	return value;
    }

}
