/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 08/01/2014
 *
 */
package uoc.tfg.invoke.analysis;

import java.util.List;

import uoc.tfg.exception.DatabaseException;
import uoc.tfg.manager.analysis.CategorySetManager;
import uoc.tfg.manager.analysis.ICategorySetManager;
import uoc.tfg.model.textanalysis.classification.CategorySet;


public class CategorySetInvoke {
	
	private static ICategorySetManager manager = new CategorySetManager();
	
	
	public static void newCategorySet(CategorySet cs)  {
		
		manager.newCategorySet(cs);
		
	}

	
	public static void editCategorySet(CategorySet cs) {

		manager.editCategorySet(cs);
	}
	
	
	public static void deleteCategorySet(String name)  {

		manager.deleteCategorySet(name);
	}
	
	
	public static CategorySet getCategorySet(String name) throws DatabaseException {
		
		return manager.getCategorySet(name);
	}
	
	
	public static List<CategorySet> getAllCategorySets() {
		
		return manager.getAllCategorySets();
	}
	
	
	
}
