/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 12/12/2013
 *
 */
package uoc.tfg.invoke.webcrawling;

import java.net.MalformedURLException;
import java.util.List;

import javax.naming.NamingException;

import uoc.tfg.exception.DatabaseException;
import uoc.tfg.manager.webcrawling.IWebCrawlingURLManager;
import uoc.tfg.manager.webcrawling.WebCrawlingURLManager;
import uoc.tfg.model.news.webcrawler.WebCrawlingURL;

/*
 *
 */
public class WebCrawlingURLInvoke {
	
	private static IWebCrawlingURLManager manager = new WebCrawlingURLManager();
	
	public static void newWebCrawlingURL(WebCrawlingURL wcu) 
			throws NamingException {
	
		manager.newWebCrawlingURL(wcu);
		
	}

	public static void editWebCrawlingURL(WebCrawlingURL wcu) 
			throws NamingException {

		manager.editWebCrawlingURL(wcu);
	}
	
	public static void deleteWebCrawlingURL(String url) 
			throws NamingException, DatabaseException {

		manager.deleteWebCrawlingURL(url);
		
	}
	
	public static WebCrawlingURL getWebCrawlingURL(String url) 
			throws NamingException, MalformedURLException, DatabaseException {
		
		return manager.getWebCrawlingURL(url);
	}
	
	public static List<WebCrawlingURL> getAllWebCrawlingURL() 
			throws NamingException, MalformedURLException {
		
		return manager.getAllWebCrawlingURL();
	}
	
	
	

}
