/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 24/12/2013
 *
 */
package uoc.tfg.jpa;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.PersistenceException;


/*
 *
 */
public class DatabaseManager {
	
	private static EntityManagerFactory factory = 
			Persistence.createEntityManagerFactory("ApplicationTFG");
	private static EntityManager entitymanager;
	
	public static EntityManagerFactory getFactory() {
		return factory;
	}
	
	public static void persist(Object o) throws PersistenceException {
		
		entitymanager = factory.createEntityManager();
    	entitymanager.getTransaction().begin();
		entitymanager.persist(o);
		entitymanager.getTransaction().commit();
    	entitymanager.close();
	}
	
	public static void refresh(Object o) {
		entitymanager = factory.createEntityManager();
    	entitymanager.getTransaction().begin();
    	entitymanager.refresh(o);
    	entitymanager.getTransaction().commit();
    	entitymanager.close();
	}
	
	public static void remove(Object o) {
		entitymanager = factory.createEntityManager();
    	entitymanager.getTransaction().begin();
    	entitymanager.remove(o);
    	entitymanager.getTransaction().commit();
    	entitymanager.close();
	}

}
