package uoc.tfg.jpa.marketdata;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;


/**
 * The persistent class for the tick_marketdata database table.
 * 
 */
@Entity
@Table(name="tick_marketdata")
@NamedQuery(name="UnitaryTickDataJPA.findAll", query="SELECT u FROM UnitaryTickDataJPA u")
public class UnitaryTickDataJPA implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private UnitaryTickDataPK id;

	private Float price;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="tick_time")
	private Date tickTime;

	public UnitaryTickDataJPA() {
	}

	public UnitaryTickDataPK getId() {
		return this.id;
	}

	public void setId(UnitaryTickDataPK id) {
		this.id = id;
	}

	public Float getPrice() {
		return this.price;
	}

	public void setPrice(Float price) {
		this.price = price;
	}

	public Date getTickTime() {
		return this.tickTime;
	}

	public void setTickTime(Date tickTime) {
		this.tickTime = tickTime;
	}

}