package uoc.tfg.manager.analysis;

import java.util.List;

import uoc.tfg.exception.DatabaseException;
import uoc.tfg.model.textanalysis.ITokenCollection;

public interface ITokenCollectionManager {

	public void newTokenCollection(ITokenCollection tc);

	public void editTokenCollection(ITokenCollection tc);

	public void deleteTokenCollection(String name);

	public ITokenCollection getTokenCollection(String name) throws DatabaseException;

	public List<ITokenCollection> getAllTokenCollections();

}
