package uoc.tfg.manager.document;

import java.util.List;

import uoc.tfg.exception.DatabaseException;
import uoc.tfg.model.document.Index;

public interface IIndexManager {
	
	public void newIndex(Index i);

	public void editIndex(Index i);
	
	public void refreshIndex(Index i);

	public void deleteIndex(String path) throws DatabaseException;

	public Index getIndex(String path) throws DatabaseException;

	public List<Index> getAllIndex();

}
