/**
 * TFG-UOC
 * 
 * @author Javier Sanzol
 * 
 * 23/12/2013
 *
 */
package uoc.tfg.manager.webcrawling;

import java.net.MalformedURLException;
import java.util.List;

import uoc.tfg.exception.DatabaseException;
import uoc.tfg.model.news.webcrawler.WebCrawlingURL;

/*
 *
 */
public interface IWebCrawlingURLManager {

	/**
	 * @param wcu
	 */
	public void newWebCrawlingURL(WebCrawlingURL wcu);

	/**
	 * @param wcu
	 */
	public void editWebCrawlingURL(WebCrawlingURL wcu);

	/**
	 * @param url
	 * @throws DatabaseException 
	 */
	public void deleteWebCrawlingURL(String url) throws DatabaseException;

	/**
	 * @param url
	 * @return
	 * @throws DatabaseException 
	 * @throws MalformedURLException 
	 */
	public WebCrawlingURL getWebCrawlingURL(String url) throws DatabaseException, MalformedURLException;

	/**
	 * @return
	 * @throws MalformedURLException 
	 */
	public List<WebCrawlingURL> getAllWebCrawlingURL() throws MalformedURLException;

	public void refreshWebCrawlingURL(WebCrawlingURL wcu);

	

}
