package uoc.tfg.model.marketdata;

import java.io.Serializable;
import java.util.Date;


public class UnitaryTickData implements Serializable {
	
	private static final long serialVersionUID = 894382598436345016L;

	private String reference;
	
	private Date tickTime;
	
	private float price;
	
	private long volume;
	
	public UnitaryTickData(String r, Date tt, float p, long v) {
		this.reference = r;
		this.tickTime = tt;
		this.price = p;
		this.volume = v;
	}
	public String getReference() {
		return this.reference;
	}
	public void setReference(String reference) {
		this.reference = reference;
	}
	public Date getTickTime() {
		return this.tickTime;
	}
	public void setTickTime(Date tickTime) {
		this.tickTime = tickTime;
	}
	public float getPrice() {
		return this.price;
	}
	public void setPrice(float price) {
		this.price = price;
	}
	public long getVolume() {
		return this.volume;
	}
	public void setVolume(long volume) {
		this.volume = volume;
	}
	
	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof UnitaryTickData)) {
			return false;
		}
		UnitaryTickData castOther = (UnitaryTickData)other;
		return 
				this.reference.equals(castOther.reference)
				&& this.tickTime.equals(castOther.tickTime)
				&& (this.price == castOther.price)
				&& (this.volume ==castOther.volume);
	}
	

}
