package uoc.tfg.model.textanalysis;

import java.io.IOException;
import java.util.Set;

public interface ITokenizer {
	
	public String getToken(String world) throws IOException;
	
	public Set<String> getTokens(String text) throws IOException;
	
	public TokenRepresentation getTokenRepresentation(TokenCollection collection);

}
