package uoc.tfg.model.textanalysis;

import java.util.Set;

public class TokenCollection implements ITokenCollection {
	
	private String name;
	
	private String description;
	
	private IToken[] tokens;
	
	public TokenCollection() {
		
	}
	
	public TokenCollection(Set<String> tokens) {
		
		this.setTokens(new Token[tokens.size()]);
		String[] s = tokens.toArray(new String[0]);
		for(int i=0; i<tokens.size(); i++) {
			this.tokens[i] = new Token(this, s[i]);
		}
	}
	
	@Override
	public String getName() {
		return name;
	}
	@Override
	public void setName(String name) {
		this.name = name;
	}
	@Override
	public String getDescription() {
		return description;
	}
	@Override
	public void setDescription(String description) {
		this.description = description;
	}

	@Override
	public IToken[] getTokens() {
		return tokens;
	}
	@Override
	public void setTokens(IToken[] tokens) {
		this.tokens = tokens;
	}
	
	@Override
	public String toString() {
		
		String s = "";
		for(int i=0; i<this.tokens.length; i++) {
			s = s+" "+ this.tokens[i].getValue();
		}
		return s;
	}

}
